<template>
    <table class="table table-responsive" style="font-size: 10px;">
    <thead class="text-center">
      <tr class="text-center">
          <th  style="border-right: 5px solid #ddd;">Sem</th>
          <th>Mo</th>
          <th  style="border-right: 5px solid #ddd;">Mu</th>
          <th>Mo</th>
          <th  style="border-right: 5px solid #ddd;">Mu</th>
          <th>Mo</th>
          <th  style="border-right: 5px solid #ddd;">Mu</th>
          <th>Mo</th>
          <th style="border-right: 5px solid #ddd;">Mu</th>
          <th>Mo</th>
          <th  style="border-right: 5px solid #ddd;">Mu</th>
          <th >LDF</th>
          <th>Total</th>
          <th style="border-left: 5px solid #ddd;">Web</th>
          <th>BK</th>
          <th>Print</th>
          <th>VP</th>
          <th>Autres</th>
          <th >LDF</th>
          <th>Total</th>
      </tr>
    </thead>   
    <tbody>
      <tr class="text-center" v-for="row in child" :key="row.DO_DateLivr">
          <td v-bind:class="getClass(row.annee,row.semaine)" style="border-right: 5px solid #ddd;"> {{row.DO_DateLivr}} </td>

          <td> {{row.monoWeb}}  </td>
          <td style="border-right: 5px solid #ddd;"> {{row.Web}}  </td>

          <td> {{row.monoBK}}  </td>
          <td style="border-right: 5px solid #ddd;"> {{row.BK}}  </td>
          
          <td> {{row.monoCata}}  </td>
          <td style="border-right: 5px solid #ddd;"> {{row.Catalogue}}  </td>

          <td> {{row.monoVP}}  </td>
          <td style="border-right: 5px solid #ddd;"> {{row.VP}}  </td>

          <td> {{row.monoAutres}}  </td>
          <td style="border-right: 5px solid #ddd;"> {{row.Autres}}  </td>

          <td> {{row.LDF}}  </td>
          <td class="table-success" style="border-right: 5px solid #ddd;"> {{row.TotalCom}}  </td>

          <td> {{row.WebP}}  </td>
          <td> {{row.BKP}}  </td>
          <td> {{row.CatalogueP}}  </td>
          <td> {{row.VPP}}  </td>
          <td> {{row.AutresP}}  </td>
          <td> {{row.LDFP}}  </td>
          <td class="table-success"> {{row.TotalComP}}  </td>
    </tr>
    </tbody>
    </table>
</template>

<script lang="ts">
import { DateTime } from "luxon"
export default {
props:{
  child: {
      type: Object,
      default: {}
  }
},
data(){
    return {
      opened: [],
    }
},
methods: {
  getClass(annee:string,semaine:number){
    const weekNumber = DateTime.now().weekNumber
    const year = DateTime.now().year
      let classTD='';
      if(semaine==weekNumber && annee==year)
      {
          classTD= 'table-info'
          console.log('=')
      }else if((semaine<weekNumber && annee==year) ||  annee<year ){
        classTD = 'table-danger'
      }

      return classTD
  }

},
  mounted(){
  }
}
</script>

<style>
table td,th{
padding: 4px 5px!important;
}
</style>